Subject: Re: [PATCH net] net: phy: marvell10g: fix 88x3310 power up

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 19 Jul 2023 09:27:16 +0100

On Wed, Jul 19, 2023 at 03:57:30PM +0800, Jiawen Wu wrote:
> > According to this read though (which is in get_mactype), the write
> > didn't take effect.
> > 
> > If you place a delay of 1ms after phy_clear_bits_mmd() in
> > mv3310_power_up(), does it then work?
> 
> Yes, I just experimented, it works well.

Please send a patch adding it, with a comment along the lines of:

	/* Sometimes, the power down bit doesn't clear immediately, and
	 * a read of this register causes the bit not to clear. Delay
	 * 1ms to allow the PHY to come out of power down mode before
	 * the next access.
	 */

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!